# -*- coding: utf-8 -*-

# Pracovní adresář je tam, kde je umístěný tento skript:
import os
abspath = os.path.abspath(__file__)
dname = os.path.dirname(abspath)
os.chdir(dname)

import yaml

with open(r'..\out\flow_observe.yaml') as file:
    cely_yaml = yaml.load(file, Loader=yaml.FullLoader)

jen_data = cely_yaml["data"]

hladiny_vse = []
for k in jen_data:
    hladiny_vse.append(k["piezo_head_p0"])
    
hladiny_1 = []
for k in hladiny_vse:
    hladiny_1.append(k[0])

hladiny_2 = []
for k in hladiny_vse:
    hladiny_2.append(k[1])

hladiny_3 = []
for k in hladiny_vse:
    hladiny_3.append(k[2])

hladiny_4 = []
for k in hladiny_vse:
    hladiny_4.append(k[3])

hladiny_5 = []
for k in hladiny_vse:
    hladiny_5.append(k[4])
    
casy_s = []
for k in jen_data:
    casy_s.append(k["time"])

casy_dny = [k / 86400 for k in casy_s]

jen_points = cely_yaml.get("points")

nazvy = []
for p in jen_points:
    nazvy.append(p["name"])

    
import matplotlib.pyplot as plt
import matplotlib.ticker as ticker
import time

obr, ax = plt.subplots()
plt.plot(casy_dny, hladiny_1, label = "M1")
plt.plot(casy_dny, hladiny_2, label = "M2")
plt.plot(casy_dny, hladiny_3, label = "M3")
plt.plot(casy_dny, hladiny_4, label = "V1_2m")
plt.plot(casy_dny, hladiny_5, label = "upstream")
y_labels = ax.get_yticks()
plt.xlabel("dny od počátku simulace")
plt.ylabel("piezometrická výška [m n.m.]")
ax.yaxis.set_major_formatter(ticker.FormatStrFormatter('%.0f')) # nula je počet desetinných míst
plt.legend()
plt.xlim(xmin=15)
obr.savefig("hpv_autosave "+ time.strftime("%Y-%m-%d %Hh_%Mm_%Ss") + ".png", dpi=200, bbox_inches = 'tight')