/* Komenář
   víceřádkový */
// Highlighting jako C či C++
// Bílé znaky jsou libovolné (tj. ignorovány)
// 
// alt c   				vložit posloupnost
// alt shift šipka		editovat sloupec

msh0 = DefineNumber [ 1.0, Name "Parameters/Element pukliny"];
msh1 = DefineNumber [ 0.3, Name "Parameters/Element vrtu"];
msh2 = DefineNumber [ 1.0, Name "Parameters/Element jimky"];
msh3 = DefineNumber [ 6.0, Name "Parameters/Element okraje modelu"];
msh4 = DefineNumber [10.0, Name "Parameters/Element baze modelu"];
wel1 = DefineNumber [ 0.3, Name "Parameters/Prumer vrtu"];
z_mm = DefineNumber [50.0, Name "Parameters/Vertikalni rozmer modelu"]; // Z - shift
z_jm = DefineNumber [ 2.0, Name "Parameters/Hloubka jimky"];
z_pk = DefineNumber [15.0, Name "Parameters/Hloubka pukliny"]; // Hlouběji je puklina uzavřená.
pa   = DefineNumber [-0.179971714646, Name "a - rovina terenu (x)"];      // z = pa*x + pb*y + pc
pb   = DefineNumber [-0.036595763081, Name "b - rovina terenu (y)"];
pc   = DefineNumber [-175967.407799, Name "c - rovina terenu (z)"];


// Virtuální body pro hranice modelu
Point(1) = {-757931.41, -1090170.73, 344, msh3};
Point(2) = {-757937.36, -1090174.85, 344, msh3};
Point(3) = {-757942.16, -1090192.24, 344, msh3};
Point(4) = {-757942.83, -1090198.47, 344, msh3};
Point(5) = {-758000.85, -1090206.21, 344, msh3};
Point(6) = {-758024.46, -1090166.55, 344, msh3};
Point(7) = {-757963.26, -1090110.70, 344, msh3};

// Hranice modelu – horní
xyz[] = Point{1};   Point(101) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //336.00
xyz[] = Point{2};   Point(102) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //336.00
xyz[] = Point{3};   Point(103) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //336.00
xyz[] = Point{4};   Point(104) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //336.00
xyz[] = Point{5};   Point(105) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //350.00
xyz[] = Point{6};   Point(106) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //350.00
xyz[] = Point{7};   Point(107) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh3}; //338.00

Line(101) = {101, 102};
Line(102) = {102, 103};
Line(103) = {103, 104};
Line(104) = {104, 105};
Line(105) = {105, 106};
Line(106) = {106, 107};
Line(107) = {107, 101};
Curve Loop(101) = {101:107};

// Hranice modelu – dolní
xyz[] = Point{101};   Point(201) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{102};   Point(202) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{103};   Point(203) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{104};   Point(204) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{105};   Point(205) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{106};   Point(206) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};
xyz[] = Point{107};   Point(207) = {xyz[0], xyz[1], xyz[2] - z_mm, msh4};

Line(201) = {201, 202};
Line(202) = {202, 203};
Line(203) = {203, 204};
Line(204) = {204, 205};
Line(205) = {205, 206};
Line(206) = {206, 207};
Line(207) = {207, 201};
Curve Loop    (201) = {201:207};
Plane Surface (201) = {201};
Physical Surface (".baze") = {201};

// Spojující vertikální čáry
Line(301) = {101, 201};
Line(302) = {102, 202};
Line(303) = {103, 203};
Line(304) = {104, 204};
Line(305) = {105, 205};
Line(306) = {106, 206};
Line(307) = {107, 207};

// Postranní plochy
Curve Loop (301) = {101, 302, -201, -301}; Plane Surface (301) = {301};
Curve Loop (302) = {102, 303, -202, -302}; Plane Surface (302) = {302};
Curve Loop (303) = {103, 304, -203, -303}; Plane Surface (303) = {303};
Curve Loop (304) = {104, 305, -204, -304}; Plane Surface (304) = {304};
Curve Loop (305) = {105, 306, -205, -305}; Plane Surface (305) = {305};
Curve Loop (306) = {106, 307, -206, -306}; Plane Surface (306) = {306};
Curve Loop (307) = {107, 301, -207, -307}; Plane Surface (307) = {307};

Physical Surface(".rybnik")= {301:303};
Physical Surface(".jih")   = {304};
Physical Surface(".zapad") = {305};
Physical Surface(".sever") = {306};
Physical Surface(".vychod")= {307};
 

// Virtuální body pro puklinu
//Point(61) = {-757959.41, -1090128.85, 344.00, msh0};
//Point(62) = {-757978.54, -1090132.94, 344.00, msh0};

// Puklina
// xyz[] = Point{61};    Point(161) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh0}; //338.00
// xyz[] = Point{62};    Point(162) = {xyz[0], xyz[1], pa*xyz[0]+pb*xyz[1]+pc, msh0}; //338.00
// xyz[] = Point{161};   Point(163) = {xyz[0], xyz[1], xyz[2] - z_pk, msh0};
// xyz[] = Point{162};   Point(164) = {xyz[0], xyz[1], xyz[2] - z_pk, msh0};
// Line(161) = {161, 162}; 
// Line(162) = {162, 164};
// Line(163) = {164, 163};
// Line(164) = {163, 161};
// Curve Loop(161) = {161:164};
// Plane Surface (161) = {161};
// Physical Surface ("puklina") = {161};

// Jímka – je horizontální na skloněném terénu
Point(171) = {-757988.63, -1090168.47, 344.00, msh2};
Point(172) = {-757987.06, -1090173.53, 344.00, msh2};
Point(173) = {-757983.01, -1090172.23, 344.00, msh2};
Point(174) = {-757984.48, -1090167.25, 344.00, msh2};

Line(171) = {171, 172};
Line(172) = {172, 173};
Line(173) = {173, 174};
Line(174) = {174, 171};

xyz[] = Point{171};   Point(271) = {xyz[0], xyz[1], xyz[2] - z_jm, msh2};
xyz[] = Point{172};   Point(272) = {xyz[0], xyz[1], xyz[2] - z_jm, msh2};
xyz[] = Point{173};   Point(273) = {xyz[0], xyz[1], xyz[2] - z_jm, msh2};
xyz[] = Point{174};   Point(274) = {xyz[0], xyz[1], xyz[2] - z_jm, msh2};

Line(271) = {271, 272};
Line(272) = {272, 273};
Line(273) = {273, 274};
Line(274) = {274, 271};

Line(371) = {171, 271};
Line(372) = {172, 272};
Line(373) = {173, 273};
Line(374) = {174, 274};

Curve Loop (171) = {171:174};                              // horní  okraj jímky
Curve Loop (271) = {271:274}; Plane Surface (271) = {271}; // spodní okraj jímky

// Bočnice jímky
Curve Loop (371) = {171, 372, -271, -371}; Plane Surface (371) = {371};
Curve Loop (372) = {172, 373, -272, -372}; Plane Surface (372) = {372};
Curve Loop (373) = {173, 374, -273, -373}; Plane Surface (373) = {373};
Curve Loop (374) = {174, 371, -274, -374}; Plane Surface (374) = {374};

Plane Surface (101) = {101, 171};             // Terén (vyřízout jímku bylo možno až zde)
// Line {161} In Surface {101};                  // Zahrnutí průniku pukliny terénem
Physical Surface (".teren") = {101};

Physical Surface (".jimka") = {271, 371:374};



// vrt – navíc mám data o hloubkách otevření
// c:\D\1_Uni\Infiltrace\GIS\data_GIS.xlsx
Point(181) = {-757986.03, -1090170.52, 344.01, msh1};// V1 – vtláčecí
//	xyz[] = Point{181}; Point(182) = {xyz[0], xyz[1] + msh1, xyz[2]};
//						Point(183) = {xyz[0] + msh1, xyz[1], xyz[2]};
Point(184) = {-757986.60, -1090168.80, 343.95, msh1};// V2 – vtláčecí
//	xyz[] = Point{184}; Point(185) = {xyz[0], xyz[1] + msh1, xyz[2]};
//						Point(186) = {xyz[0] + msh1, xyz[1], xyz[2]};
Point(187) = {-757985.34, -1090172.38, 344.01, msh1};// V3 – vtláčecí
//	xyz[] = Point{187}; Point(188) = {xyz[0], xyz[1] + msh1, xyz[2]};
//						Point(189) = {xyz[0] + msh1, xyz[1], xyz[2]};

Point(191) = {-757964.18, -1090163.98, 341.13, msh1};// M1 – monitorovací
Point(192) = {-757979.99, -1090168.54, 343.11, msh1};// M2 – monitorovací
Point(193) = {-757978.93, -1090174.97, 343.23, msh1};// M3 – monitorovací

/*
// Linie a polygony ze vtláčecích vrtů
Line(181) = {181, 182}; Line(182) = {182, 183}; Line(183) = {183, 181};
	Curve Loop (181) = {181:183};
	Physical Line(".v1") = {181:183};
Line(184) = {184, 185}; Line(185) = {185, 186}; Line(186) = {186, 184};
	Curve Loop (184) = {184:186};
	Physical Line(".v2") = {184:186};
Line(187) = {187, 188}; Line(188) = {188, 189}; Line(189) = {189, 187};
	Curve Loop (187) = {187:189};
	Physical Line(".v3") = {187:189};
*/
// Physical Line(".vrty_v") = {181:189};
//Plane Surface (999) = {101, 181, 184, 187}; // Jímka 171 není zahrnuta

Surface Loop(999) = {101, 201, 301:307, 271, 371:374};
Volume(999) = {999};
Physical Volume ("model") = {999};
// Surface {161} In Volume {999};                  // Zahrnutí pukliny


Mesh 3; // Číslo je dimenze. Jak je je implicitmí síťovací metoda (2)?
Mesh.MshFileVersion = 2.2;
Save "gen\vstupni.msh";

// Dále otevřené úseky vrtů//